/*****************************************************************************
*
* Copyright (c) 2000 - 2006, The Regents of the University of California
* Produced at the Lawrence Livermore National Laboratory
* All rights reserved.
*
* This file is part of VisIt. For details, see http://www.llnl.gov/visit/. The
* full copyright notice is contained in the file COPYRIGHT located at the root
* of the VisIt distribution or at http://www.llnl.gov/visit/copyright.html.
*
* Redistribution  and  use  in  source  and  binary  forms,  with  or  without
* modification, are permitted provided that the following conditions are met:
*
*  - Redistributions of  source code must  retain the above  copyright notice,
*    this list of conditions and the disclaimer below.
*  - Redistributions in binary form must reproduce the above copyright notice,
*    this  list of  conditions  and  the  disclaimer (as noted below)  in  the
*    documentation and/or materials provided with the distribution.
*  - Neither the name of the UC/LLNL nor  the names of its contributors may be
*    used to  endorse or  promote products derived from  this software without
*    specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT  HOLDERS AND CONTRIBUTORS "AS IS"
* AND ANY EXPRESS OR  IMPLIED WARRANTIES, INCLUDING,  BUT NOT  LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND  FITNESS FOR A PARTICULAR  PURPOSE
* ARE  DISCLAIMED.  IN  NO  EVENT  SHALL  THE  REGENTS  OF  THE  UNIVERSITY OF
* CALIFORNIA, THE U.S.  DEPARTMENT  OF  ENERGY OR CONTRIBUTORS BE  LIABLE  FOR
* ANY  DIRECT,  INDIRECT,  INCIDENTAL,  SPECIAL,  EXEMPLARY,  OR CONSEQUENTIAL
* DAMAGES (INCLUDING, BUT NOT  LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR
* SERVICES; LOSS OF  USE, DATA, OR PROFITS; OR  BUSINESS INTERRUPTION) HOWEVER
* CAUSED  AND  ON  ANY  THEORY  OF  LIABILITY,  WHETHER  IN  CONTRACT,  STRICT
* LIABILITY, OR TORT  (INCLUDING NEGLIGENCE OR OTHERWISE)  ARISING IN ANY  WAY
* OUT OF THE  USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
* DAMAGE.
*
*****************************************************************************/

// ************************************************************************* //
//  File: SplittingIncite4HDF5PluginInfo.C
// ************************************************************************* //

#include <SplittingIncite4HDF5PluginInfo.h>

#include <visit-config.h>
#if defined(__APPLE__)
extern "C" const char *SplittingIncite4HDF5VisItPluginVersion = VERSION;
#else
extern "C" const char *VisItPluginVersion = VERSION;
#endif

#if defined(__APPLE__)
#define GetGeneralInfo SplittingIncite4HDF5_GetGeneralInfo
#endif

// ****************************************************************************
//  Function:  GetGeneralInfo
//
//  Purpose:
//    Return a new GeneralPluginInfo for the SplittingIncite4HDF5 database.
//
//  Programmer:  ghweber -- generated by xml2info
//  Creation:    Wed Mar 7 10:45:44 PDT 2007
//
// ****************************************************************************
extern "C" GeneralDatabasePluginInfo* GetGeneralInfo()
{
    return new SplittingIncite4HDF5GeneralPluginInfo;
}

// ****************************************************************************
//  Method: SplittingIncite4HDF5GeneralPluginInfo::GetName
//
//  Purpose:
//    Return the name of the database plugin.
//
//  Returns:    A pointer to the name of the database plugin.
//
//  Programmer: ghweber -- generated by xml2info
//  Creation:   Wed Mar 7 10:45:44 PDT 2007
//
// ****************************************************************************

char *
SplittingIncite4HDF5GeneralPluginInfo::GetName() const
{
    return "SplittingIncite4HDF5";
}

// ****************************************************************************
//  Method: SplittingIncite4HDF5GeneralPluginInfo::GetVersion
//
//  Purpose:
//    Return the version of the database plugin.
//
//  Returns:    A pointer to the version of the database plugin.
//
//  Programmer: ghweber -- generated by xml2info
//  Creation:   Wed Mar 7 10:45:44 PDT 2007
//
// ****************************************************************************

char *
SplittingIncite4HDF5GeneralPluginInfo::GetVersion() const
{
    return "1.0";
}

// ****************************************************************************
//  Method: SplittingIncite4HDF5GeneralPluginInfo::GetID
//
//  Purpose:
//    Return the id of the database plugin.
//
//  Returns:    A pointer to the id of the database plugin.
//
//  Programmer: ghweber -- generated by xml2info
//  Creation:   Wed Mar 7 10:45:44 PDT 2007
//
// ****************************************************************************

char *
SplittingIncite4HDF5GeneralPluginInfo::GetID() const
{
    return "SplittingIncite4HDF5_1.0";
}
// ****************************************************************************
//  Method: SplittingIncite4HDF5GeneralPluginInfo::EnabledByDefault
//
//  Purpose:
//    Return true if this plugin should be enabled by default; false otherwise.
//
//  Returns:    true/false
//
//  Programmer: ghweber -- generated by xml2info
//  Creation:   Wed Mar 7 10:45:44 PDT 2007
//
// ****************************************************************************

bool
SplittingIncite4HDF5GeneralPluginInfo::EnabledByDefault() const
{
    return true;
}
// ****************************************************************************
//  Method: SplittingIncite4HDF5GeneralPluginInfo::HasWriter
//
//  Purpose:
//    Return true if this plugin has a database writer.
//
//  Returns:    true/false
//
//  Programmer: ghweber -- generated by xml2info
//  Creation:   Wed Mar 7 10:45:44 PDT 2007
//
// ****************************************************************************

bool
SplittingIncite4HDF5GeneralPluginInfo::HasWriter() const
{
    return false;
}
